package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/commissionCC"
)

func ClearLedger(_ *requests.Parameter, _ *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	commission := commissionCC.Commission{}
	countCommission, err := chaincode.ClearLedger(commission.GetObjectType(), manager)
	if err != nil {
		return nil, err
	}

	clearLedgerResult := &chaincode.ClearLedgerResult{
		Count: countCommission,
	}
	return clearLedgerResult, nil
}
