package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/commissionCC"
)

func (this *CommissionManagerImpl) GetCommission(getCommissionArg commissionCC.GetCommissionArg) (*commissionCC.Commission, error) {
	partnerCode := getCommissionArg.PartnerCode
	customerType := getCommissionArg.CustomerType
	processType := getCommissionArg.ProcessType

	validObject, err := this.GetObject(&commissionCC.Commission{}, []string{partnerCode, customerType.String(), processType.String()})
	if err != nil {
		return nil, err
	}
	return commissionCC.Cast(validObject)
}
