package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/invoke"
	"gitlab.smartblocklab.com/smartcontracts/common/interfaces/iuser"
	"gitlab.smartblocklab.com/smartcontracts/common/remote/remote_user"
	"gitlab.smartblocklab.com/smartcontracts/common/interfaces/icommission"
)

type CommissionManagerImpl struct {
	chaincode.IManager
	UserCC iuser.IUserManager
}

func GetCommissionManager(manager chaincode.IManager) icommission.ICommissionManager {
	userRemoteManager := remote_user.GetUserRemoteManager(manager, invoke.UserChannel, invoke.UserCC)
	return &CommissionManagerImpl{manager, userRemoteManager}
}
