#!/usr/bin/env bash

govendor init

govendor add "github.com/shopspring/decimal"
govendor update "github.com/shopspring/decimal"

govendor add "github.com/stretchr/testify/mock"
govendor update "github.com/stretchr/testify/mock"


govendor add "github.com/davecgh/go-spew/spew"
govendor update "github.com/davecgh/go-spew/spew"

govendor add "github.com/pmezard/go-difflib/difflib"
govendor update "github.com/pmezard/go-difflib/difflib"

govendor add "github.com/stretchr/objx"
govendor update "github.com/stretchr/objx"

govendor add "github.com/stretchr/testify/assert"
govendor update "github.com/stretchr/testify/assert"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/remote/remote_organization"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/remote/remote_organization"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/interfaces/iorganization"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/interfaces/iorganization"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/chaincode"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/chaincode"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/interfaces/iuser"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/interfaces/iuser"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/remote/remote_user"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/remote/remote_user"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/interfaces/icommission"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/interfaces/icommission"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/accountCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/accountCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/system_user"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/system_user"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/commissionCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/commissionCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/cryptocurrencyCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/cryptocurrencyCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/offerCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/offerCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/userCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/userCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/userPreferenceCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/userPreferenceCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/nums"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/nums"

govendor add "golang.org/x/sys/unix"
govendor update "golang.org/x/sys/unix"

govendor add "golang.org/x/crypto/ssh/terminal"
govendor update "golang.org/x/crypto/ssh/terminal"

govendor add "github.com/pkg/errors"
govendor update "github.com/pkg/errors"

govendor add "github.com/sirupsen/logrus"
govendor update "github.com/sirupsen/logrus"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/invoke"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/invoke"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/requests"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/requests"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/model/organizationCC"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/model/organizationCC"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/logging"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/logging"

govendor add "gitlab.smartblocklab.com/smartcontracts/common/security/actions"
govendor update "gitlab.smartblocklab.com/smartcontracts/common/security/actions"