package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/commissionCC"
	"gitlab.smartblocklab.com/smartcontracts/commissionCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
)

func AddCommission(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	commission, err := commissionCC.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}
	return mngr.GetCommissionManager(manager).AddCommission(commission, systemParameter.UserID)
}
